List transactions
Retrieves a paginated list of transactions based on the provided parameters.
Authorizations
App ID for authentication
API Key for authentication
Query Parameters
The status of the transactions to fetch
settled, pending The UUID of the customer to filter transactions by
The UUID of the customer group to filter transactions by
Filter by date range. Format: 'MM-DD-YYYY,MM-DD-YYYY' (both dates inclusive). If only one date is provided, it is used as both the start and end.
"06-01-2024,06-11-2025"
Filter by amount range, in cents. Format: '[min,max]'. Use '[200,]' for at-least, '[,200]' for at-most, '[100,500]' for a range.
"[100,500]"
One or more transaction types as a comma-separated string. Allowed values: ach, card, check, wire, other_payment, credit_note, debit_note, chargeback, refund. Example: 'ach,wire'.
"ach,wire"
Search term.
Page number for pagination.
Number of records per page.